Subject: Re: [6lowpan] Titles of 6LoWPAN RFCs

From: Abdussalam Baryun <[email-masked]>
Date: Sun, 3 Jul 2011 16:31:22 +0100

*Hi Carsten
*
Thank you to raise these important issues,

> So what are the specific issues to be decided?
> I see at least:
>
>   -- Should we drop the 6LoWPAN marker from our documents?
>        (Note that RFC 4944 doesn't have it, but in the 4 years since, the
>        term has gained some recognition.)
>        Should there be another common marker?

No, I think it is important to stick with it as it gained recognition,
otherwise we will need to amend some work efforts!!

>    -- E.g., should we change over the whole documents (HC, ND) to LLN?
No, because as you mentioned LLN is generic, and it can be amended to refer
to othere generic draft scop as LLN

>    -- Should we just refer to IEEE 802.15.4 in the title (no 6LoWPAN)?
>       HC = Compression Format for IPv6 Datagrams over IEEE 802.15.4
>       Networks
>       ND = Neighbor Discovery Optimization for IEEE 802.15.4 Networks
>    -- Or should we stick with 6LoWPAN in both title and body?
No, I think it is better to have IEEE802.15.4 out of the title for now,
until we get a generic draft for other WPAN, for 6LoWPAN of most WPAN,
then we may amend the title of 6LoWPAN-HC  and 6LoWPAN-ND

> -- If the latter, what is an appropriate expansion of 6LoWPAN?
>    Can we get rid of the "Personal" in the expansion?
No, the work already done was for WPAN, and taking it out may need
the considerations of WLAN limitations,
and it is better to separate WPAN and WLAN as gained recognition of:
 IEEE802.11 and IEEE802.15
>    -- IPv6 over Low power Wireless Personal Area Networks [RFC4944]
(b)
>    -- IPv6-based Low power Wireless Personal Area Networks [RFC4944]   (a)
Yes, this maybe recommended (a), or the above (b), but looking forward for
another draft that gains the generic scop
of IPv6 over LLN, that refers to RFC4944 and other draft that should be
considered,

>    -- Other ideas?
there always be other ideas, but adding drafts with amendments maybe better
than changing drafts with amendments
> -- Whatever we decide about the above:
>    What is the relationship between the well-known term 6LoWPAN and
>    ROLL LLNs?
I am not sure, I think they have different architecture. However, this is
overall an important issue to be clarified

Regards

Abdussalam Baryun
Research, ICRC